// 
// File: script.h
// Script class interface
// F.J. Alberti
// Created: 30/05/2001
// Last Modified: 31/05/2001
//

#ifndef _SCRIPT_H_
#define _SCRIPT_H_

extern "C" {
#include "mmemory.h"
}

class Script {
public:
  Script(mmachine m, const char* text);
  ~Script();

  int execute();   // (old convention)
  const char* text() const;

private:
  mmachine _m;     // associated VM context (old convention)
  char*    _text;  // script text
};

inline const char* Script::text() const
{
  return _text;
}


#endif // script.h